import 'package:intl/intl.dart';
import 'package:flutter/material.dart';
import 'package:pdf/pdf.dart';
import '../constants/constant.dart';
import 'package:pdf/widgets.dart' as pw;

class ChartBar {
  pw.BarDataSet bardataList(Map<String, dynamic> reportData,
      DateFormat newFormat, List<Map<dynamic, dynamic>> seriesdata, int s) {
    return pw.BarDataSet(
      color: seriesdata[s]["color"],
      width: 1.5,
      offset: 15,
      borderColor: seriesdata[s]["color"],
      data: List<pw.LineChartValue>.generate(
        1,
        (i) {
          return pw.LineChartValue(seriesdata[i + s]["time"], 150);
        },
      ),
    );
  }

  pw.BarDataSet activitybar(
      List<int> activityplot, List<int> xAxis, List<int> stepcount, int s) {
    return pw.BarDataSet(
      color: (activityplot[s] == 0 || activityplot[s] == 3
          ? Constant.blue400
          : activityplot[s] == 1
              ? Constant.blue200
              : Constant.indigo),
      width: 2.5,
      offset: 0,
      data: List<pw.LineChartValue>.generate(
        1,
        (i) {
          return pw.LineChartValue(
              xAxis[s].toDouble(), stepcount[s].toDouble());
        },
      ),
    );
  }

  pw.BarDataSet stressBar(
      List<int> stressplot, List<int> xAxis, List<int> yAxis, int z) {
    return pw.BarDataSet(
      color: (stressplot[z] == 0
          ? Constant.black
          : stressplot[z] == 1
              ? Constant.green
              : stressplot[z] == 2
                  ? Constant.yellow
                  : stressplot[z] == 3
                      ? Constant.orange
                      : Constant.red),
      width: 2.5,
      offset: 0,
      data: List<pw.LineChartValue>.generate(
        1,
        (i) {
          return pw.LineChartValue(xAxis[z].toDouble(), yAxis[z].toDouble());
        },
      ),
    );
  }

  pw.BarDataSet recoverybar(
      List<int> recoveryplot, List<int> xAxis, List<int> yAxis, int z) {
    return pw.BarDataSet(
      color: (recoveryplot[z] == 0
          ? Constant.ash
          : recoveryplot[z] == 1
              ? Constant.lightgreen
              : Constant.green),
      width: 2.5,
      offset: 0,
      data: List<pw.LineChartValue>.generate(
        1,
        (i) {
          return pw.LineChartValue(xAxis[z].toDouble(), yAxis[z].toDouble());
        },
      ),
    );
  }
}
