import 'package:flutter/material.dart';
import 'package:pdf/pdf.dart';
import '../model/user.dart';
import 'package:pdf/widgets.dart' as pw;
import '../constants/constant.dart';

class LegendList {
  pw.Container legendone(
      List<Map<String, dynamic>> seriesdata, Map<String, dynamic> reportData) {
    return pw.Container(
        margin: const pw.EdgeInsets.fromLTRB(0, 10, 10, 10),
        width: 420,
        height: 60,
        child: pw.Wrap(children: [
          pw.ListView.builder(
              direction: pw.Axis.horizontal,
              itemBuilder: ((context, index) => pw.Row(children: [
                    pw.Container(
                        width: 12,
                        height: 12,
                        decoration: pw.BoxDecoration(
                            color: (index == 0)
                                ? seriesdata[index]["color"]
                                : seriesdata[index + 2]["color"],
                            shape: pw.BoxShape.circle)),
                    pw.Container(
                        width: 80,
                        padding: pw.EdgeInsets.only(left: 3),
                        alignment: pw.Alignment.topLeft,
                        child: pw.Text(
                          "${reportData["activities"][index]["activity_component"]}",
                        )),
                    pw.SizedBox(width: 10)
                  ])),
              itemCount: reportData["activities"].length)
        ]));
  }

  pw.Container legendtwo() {
    return pw.Container(
        margin: const pw.EdgeInsets.fromLTRB(0, 10, 10, 10),
        width: 420,
        child: pw.Wrap(runSpacing: 2, children: [
          pw.Container(
              width: 12,
              height: 12,
              decoration: const pw.BoxDecoration(
                  color: PdfColors.red, shape: pw.BoxShape.circle)),
          pw.Container(
              width: 85,
              alignment: pw.Alignment.center,
              child: pw.Text(Constant.stress[0])),
          pw.SizedBox(width: 10),
          pw.Container(
              width: 12,
              height: 12,
              decoration: const pw.BoxDecoration(
                  color: PdfColors.orange, shape: pw.BoxShape.circle)),
          pw.Container(
              width: 95,
              padding: pw.EdgeInsets.only(left: 3),
              alignment: pw.Alignment.topLeft,
              child: pw.Text(Constant.stress[1])),
          pw.SizedBox(width: 10),
          pw.Container(
              width: 12,
              height: 12,
              decoration: const pw.BoxDecoration(
                  color: PdfColors.yellow, shape: pw.BoxShape.circle)),
          pw.Container(
              width: 85,
              alignment: pw.Alignment.topLeft,
              padding: pw.EdgeInsets.only(left: 3),
              child: pw.Text(Constant.stress[2])),
          pw.SizedBox(width: 10),
          pw.Container(
              width: 12,
              height: 12,
              decoration: const pw.BoxDecoration(
                  color: PdfColors.green, shape: pw.BoxShape.circle)),
          pw.Container(
              width: 75,
              alignment: pw.Alignment.topLeft,
              padding: pw.EdgeInsets.only(left: 3),
              child: pw.Text(Constant.stress[3])),
          pw.Container(
              width: 12,
              height: 12,
              decoration: const pw.BoxDecoration(
                  color: PdfColors.black, shape: pw.BoxShape.circle)),
          pw.Container(
              width: 100,
              alignment: pw.Alignment.center,
              padding: pw.EdgeInsets.only(left: 3),
              child: pw.Text(Constant.stress[4])),
        ]));
  }

  pw.Container legendthree() {
    return pw.Container(
      margin: const pw.EdgeInsets.fromLTRB(55, 10, 10, 10),
      child: pw.Row(children: [
        pw.Container(
            width: 12,
            height: 12,
            decoration: const pw.BoxDecoration(
                color: PdfColors.green, shape: pw.BoxShape.circle)),
        pw.Container(
            width: 100,
            alignment: pw.Alignment.topLeft,
            padding: pw.EdgeInsets.only(left: 3),
            child: pw.Text(Constant.recovery[0])),
        pw.SizedBox(width: 30),
        pw.Container(
            width: 12,
            height: 12,
            decoration: const pw.BoxDecoration(
                color: PdfColors.lightGreen500, shape: pw.BoxShape.circle)),
        pw.Container(
            width: 100,
            alignment: pw.Alignment.topLeft,
            padding: pw.EdgeInsets.only(left: 3),
            child: pw.Text(Constant.recovery[1])),
        pw.SizedBox(width: 30),
        pw.Container(
            width: 12,
            height: 12,
            decoration: pw.BoxDecoration(
                color: PdfColor.fromHex("#D3D3D3"), shape: pw.BoxShape.circle)),
        pw.Container(
            width: 90,
            alignment: pw.Alignment.topLeft,
            padding: pw.EdgeInsets.only(left: 3),
            child: pw.Text(Constant.recovery[2])),
      ]),
    );
  }

  pw.Container legendfour() {
    return pw.Container(
      margin: const pw.EdgeInsets.fromLTRB(55, 10, 10, 10),
      child: pw.Row(children: [
        pw.Container(
            width: 12,
            height: 12,
            decoration: const pw.BoxDecoration(
                color: PdfColors.indigo, shape: pw.BoxShape.circle)),
        pw.Container(
            width: 100,
            alignment: pw.Alignment.topLeft,
            padding: pw.EdgeInsets.only(left: 3),
            child: pw.Text(Constant.activity[0])),
        pw.SizedBox(width: 30),
        pw.Container(
            width: 12,
            height: 12,
            decoration: const pw.BoxDecoration(
                color: PdfColors.blue400, shape: pw.BoxShape.circle)),
        pw.Container(
            width: 120,
            alignment: pw.Alignment.topLeft,
            padding: pw.EdgeInsets.only(left: 3),
            child: pw.Text(Constant.activity[1])),
        pw.SizedBox(width: 30),
        pw.Container(
            width: 12,
            height: 12,
            decoration: const pw.BoxDecoration(
                color: PdfColors.blue200, shape: pw.BoxShape.circle)),
        pw.Container(
            width: 90,
            alignment: pw.Alignment.topLeft,
            padding: pw.EdgeInsets.only(left: 3),
            child: pw.Text(Constant.activity[2])),
      ]),
    );
  }
}
